> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openmemind.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Insight Buffer Groups

<Warning>The API Reference is under active development. Request and response schemas may change before a stable release.</Warning>


## OpenAPI

````yaml /openapi.json get /admin/v1/buffers/insights/groups
openapi: 3.1.0
info:
  title: Memind Server API
  description: HTTP API for Memind memory ingestion, retrieval, and administration.
  version: v1
servers: []
security: []
tags:
  - name: memory
    description: Runtime memory ingestion, retrieval, and health endpoints.
    x-group: memory
  - name: admin
    description: Administrative endpoints for memory operations.
    x-group: admin
paths:
  /admin/v1/buffers/insights/groups:
    get:
      tags:
        - admin
      summary: List Insight Buffer Groups
      operationId: listInsightBufferGroups
      parameters:
        - name: memoryId
          in: query
          required: false
          schema:
            type: string
        - name: insightTypeName
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/SuccessResultListInsightBufferGroupView'
components:
  schemas:
    SuccessResultListInsightBufferGroupView:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/InsightBufferGroupView'
    InsightBufferGroupView:
      type: object
      properties:
        memoryId:
          type: string
        insightTypeName:
          type: string
        groupName:
          type: string
        total:
          type: integer
          format: int64
        unbuilt:
          type: integer
          format: int64
        built:
          type: integer
          format: int64

````